<s:div xmlns:ui="http://java.sun.com/jsf/facelets"
       xmlns:a4j="http://richfaces.org/a4j" xmlns:h="http://java.sun.com/jsf/html"
       xmlns:s="http://jboss.org/schema/seam/taglib"
       xmlns:g="http://www.ihe.net/gazelle" xmlns="http://www.w3.org/1999/xhtml"
       template="/layout/template.xhtml">
    <s:div id="SpecpersonDiv" rendered="#{currentPatientVariable.person != null}">
        <a4j:region id="SpecfirstNameRegion"
                    rendered="#{!patientGenerator.firstNameOption.equals('None') and currentPatientVariable.person.firstNameSex != null}">
            <s:decorate id="SpecfirstNameDecoration" template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['gazelle.dds.FirstName']}</ui:define>
                <h:outputText id="firstNameSpec" value="#{currentPatientVariable.person.firstNameSex.firstName}"
                              rendered="#{currentPatientVariable.person.firstNameSex != null}"/>
                <h:outputText id="alternateSpellingSpec"
                              value="#{patientGenerator.getFirstNameAlternateSpellingValues(currentPatientVariable.person.firstNameSex)}"
                              rendered="#{currentPatientVariable.person != null}"/>
            </s:decorate>
        </a4j:region>
        <a4j:region id="SpecfirstNameAltRegion"
                    rendered="#{!patientGenerator.firstNameOption.equals('None') and currentPatientVariable.person.firstNameSex == null}">
            <s:decorate id="SpecfirstNameAltDecoration" template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['gazelle.dds.FirstName']}
                    (#{messages['net.ihe.gazelle.maven.Alternative']})
                </ui:define>
                <h:outputText id="firstNameSpec2" value="#{currentPatientVariable.person.firstAlternativeName}"/>
            </s:decorate>
        </a4j:region>
        <a4j:region id="otherFirstNameRegion"
                    rendered="#{currentPatientVariable.person.otherFirstNameSexList != null and currentPatientVariable.person.otherFirstNameSexList.size() &gt; 0}">
            <s:decorate id="otherFirstNameDecoration" template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['gazelle.dds.OtherFirstName']}</ui:define>
                <a4j:repeat value="#{currentPatientVariable.person.otherFirstNameSexList}" var="otherFirstName">
                    <h:outputText value="#{otherFirstName.firstName}, "/>
                </a4j:repeat>
            </s:decorate>
        </a4j:region>
        <a4j:region id="lastNameRegionSpec"
                    rendered="#{!patientGenerator.lastNameOption.equals('None') and currentPatientVariable.person.lastName != null}">
            <s:decorate id="lastNameSpecDecoration" template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['gazelle.dds.LastName']}</ui:define>
                <h:outputText id="lastNameSpec" value="#{currentPatientVariable.person.lastName.value}"
                              rendered="#{currentPatientVariable.person.lastName != null}"/>
                <h:outputText id="lasyNameSpecAltName"
                              value="#{patientGenerator.getLastNameAlternateSpellingValues(currentPatientVariable.person.lastName)}"
                              rendered="#{currentPatientVariable.person != null}"/>
            </s:decorate>
        </a4j:region>
        <a4j:region id="lastNameAltRegionSpec"
                    rendered="#{!patientGenerator.lastNameOption.equals('None') and currentPatientVariable.person.lastName == null}">
            <s:decorate id="lastNameAltSpecDecoration" template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['gazelle.dds.LastName']}
                    (#{messages['net.ihe.gazelle.maven.Alternative']})
                </ui:define>
                <h:outputText id="lastNameSpec2" value="#{currentPatientVariable.person.lastAlternativeName}"/>
            </s:decorate>
        </a4j:region>
        <a4j:region id="motherMaidenNameRegionSpec"
                    rendered="#{currentPatientVariable.person.motherMaidenName != null and (not empty currentPatientVariable.person.motherMaidenName)}">
            <s:decorate id="motherMaidenNameSpecDecoration" template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['gazelle.dds.MotherMaidenName']}</ui:define>
                <h:outputText id="lastNameSpec" value="#{currentPatientVariable.person.motherMaidenName.value}"/>
                <h:outputText
                        value="#{patientGenerator.getLastNameAlternateSpellingValues(currentPatientVariable.person.motherMaidenName)}"
                        rendered="#{currentPatientVariable.person != null}"/>
            </s:decorate>
        </a4j:region>
        <a4j:region id="maritalStatus"
                    rendered="#{currentPatientVariable.person.maritalStatus != null and (not empty currentPatientVariable.person.maritalStatus)}">
            <s:decorate template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['gazelle.dds.MaritalSatus']}</ui:define>
                <h:outputText
                        value="#{patientGenerator.getMaritalStatusDescription(currentPatientVariable.person.maritalStatus)}"/>
            </s:decorate>
        </a4j:region>
        <a4j:region id="GenderSpecRegion" rendered="#{currentPatientVariable.person.sex != null}">
            <s:decorate id="GenderSpecDecoration" template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['gazelle.dds.Gender']}</ui:define>
                <h:outputText value="#{currentPatientVariable.person.sex.description}">
                </h:outputText>
            </s:decorate>
        </a4j:region>
        <a4j:region id="ReligionSpecRegion" rendered="#{!patientGenerator.religionOption.equals('None')}">
            <s:decorate id="ReligionSpecDecoration" template="/layout/display/_display.xhtml"
                        rendered="#{currentPatientVariable.country.generateReligion}">
                <ui:define name="label">#{messages['gazelle.dds.Religion']}</ui:define>
                <h:outputText value="#{currentPatientVariable.person.religion.description}">
                </h:outputText>
            </s:decorate>
        </a4j:region>
        <a4j:region id="RaceSpecRegion" rendered="#{!patientGenerator.raceOption.equals('None')}">
            <s:decorate id="RaceSpecDecoration" template="/layout/display/_display.xhtml"
                        rendered="#{currentPatientVariable.country.generateRace}">
                <ui:define name="label">#{messages['gazelle.dds.Race']}</ui:define>
                <h:outputText id="raceSpec" value="#{currentPatientVariable.person.race.description}">
                </h:outputText>
            </s:decorate>
        </a4j:region>
        <a4j:region id="DateOfBirthSpecRegion" rendered="#{!patientGenerator.birthDayOption.equals('None')}">
            <s:decorate id="DateOfBirthSpecDecoration" template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['gazelle.dds.DateOfBirth']}</ui:define>
                <g:date value="#{currentPatientVariable.person.dateOfBirth.time}"/>
            </s:decorate>
        </a4j:region>
        <a4j:region id="ViewDDSPatientIdentifierRegion"
                    rendered="#{ (currentPatientVariable.ddsPatientIdentifier != null) }">
            <s:decorate id="ViewDDSPatientIdentifierDecoration" template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['gazelle.dds.DDSPatientIdentifier']}</ui:define>
                <h:outputText id="viewDDSPatientIdentifier" value="#{currentPatientVariable.ddsPatientIdentifier}">
                </h:outputText>
            </s:decorate>
        </a4j:region>
        <a4j:region id="ViewNationalPatientIdentifierRegion"
                    rendered="#{ (currentPatientVariable.nationalPatientIdentifier != null) }">
            <s:decorate id="ViewNationalPatientIdentifierDecoration" template="/layout/display/_display.xhtml">
                <ui:define name="label">#{messages['gazelle.dds.NationalPatientIdentifier']}</ui:define>
                <h:outputText id="viewNationalPatientIdentifier"
                              value="#{currentPatientVariable.nationalPatientIdentifier}">
                </h:outputText>
            </s:decorate>
        </a4j:region>
    </s:div>
</s:div>
